> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an attached enrichment

> Update the mapping and/or launch strategy of an enrichment already on the table. Pass mapping, launch_strategy, or both.



## OpenAPI

````yaml PATCH /v1/table/{table_uuid}/enrichments/{enrichment_id}
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/table/{table_uuid}/enrichments/{enrichment_id}:
    patch:
      tags:
        - Table
      summary: Update an attached enrichment
      description: >-
        Update the mapping and/or launch strategy of an enrichment already on
        the table. Pass mapping, launch_strategy, or both.
      operationId: update_table_enrichment
      parameters:
        - name: table_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The UUID of the table.
        - name: enrichment_id
          in: path
          required: true
          schema:
            type: integer
          description: Table enrichment id returned by add-enrichment.
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateEnrichment'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddEnrichmentResponse'
        '401':
          description: Missing or invalid API key
        '404':
          description: Not found
components:
  schemas:
    UpdateEnrichment:
      type: object
      title: UpdateEnrichment
      properties:
        mapping:
          type:
            - object
            - 'null'
          additionalProperties:
            $ref: '#/components/schemas/MappingEntry'
        launch_strategy:
          type:
            - string
            - 'null'
          enum:
            - run_on_click
            - run_on_update
    AddEnrichmentResponse:
      properties:
        id:
          type: integer
          title: Id
        enrichment_name:
          type: string
          title: Enrichment Name
      type: object
      required:
        - id
        - enrichment_name
      title: AddEnrichmentResponse
    MappingEntry:
      properties:
        value:
          type: string
          title: Value
          description: >-
            For type='mapping': the column identifier (UUID) or column name (the
            key used in GET /v1/table/{uuid}/rows response). Get identifiers
            from GET /v1/table/{uuid}/columns. For type='simple': a static value
            used for every row.
        type:
          type: string
          enum:
            - mapping
            - simple
          title: Type
          description: >-
            'mapping' reads the value from a table column for each row. 'simple'
            uses the same static value for every row.
      type: object
      required:
        - value
        - type
      title: MappingEntry

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.